This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 700226 - Can't multi-select and delete more than 1 configuration history
Can't multi-select and delete more than 1 configuration history
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0.Beta2
All Unspecified
medium Severity medium (vote)
: ---
: ---
Assigned To: John Mazzitelli
Corey Welton
:
Depends On:
Blocks: config/individual-config jon3
  Show dependency treegraph
 
Reported: 2011-04-27 16:11 EDT by Mike Foley
Modified: 2011-05-23 21:14 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mike Foley 2011-04-27 16:11:47 EDT
Description of problem:
Can't multi-select and delete more than 1 configuration history for a resource.

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1.  On any resource's configuration, make some changes so there are 3 or more configuration histories.
2.  Multi-select 2 configuration histories (not including the current)
3.  Hit the delete button.
  
Actual results:
only1 configuration history is deleted.

Expected results:
the selected configuration histories would be deleted.

Additional info:
Comment 1 John Mazzitelli 2011-04-28 09:46:53 EDT
this is an easy fix, we should fix this for release:

   doomedIds[i] = selected.getAttributeAsInt(AbstractConfigurationHistoryDataSource.Field.ID);

we forgot to increment i:

   doomedIds[i++] = selected.getAttributeAsInt(AbstractConfigurationHistoryDataSource.Field.ID);
Comment 2 John Mazzitelli 2011-04-28 09:53:15 EDT
commit 0bbe5a5 in master - we should cherry pick this over, its a trivial fix and is clearly the solution to this bug
Comment 3 John Mazzitelli 2011-04-28 10:29:43 EDT
release-4.0.0 branch commit: 4ae8ecc92c1f96bd9d1bf1ce5c1a4b7935c1ab53
Comment 4 Sunil Kondkar 2011-05-05 07:13:44 EDT
Verified on rhq4 release build. (Version: 4.0.0 Build Number: db0c817)

Selected 2 configuration histories on resource config history page and deleted them successfully.

Marking as verified.
Comment 5 Corey Welton 2011-05-23 21:14:27 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 6 Corey Welton 2011-05-23 21:14:27 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 7 Corey Welton 2011-05-23 21:14:27 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.